%define name xoswebmon
%define version r8578
%define release %mkrel 2
%define _xoswebdir %{_var}/www/xoswebmon

Name:		%name
Version:	%version
Release:	%release
Group:		System/Cluster
Summary:	Web interface xoswebmon
Source0:	%name-%version.tar.bz2
Source10:	%name.init
Source20:	%name.conf
Source30:	README.urpmi
License:	GPL
Requires:	apache python-JPype geoip subversion python-mysql 
Requires:	python-devel python-django python-flup volife
Requires:	cdaclient
BuildArch:	noarch
%description
xoswebmon

%prep
%setup -q

%build

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_initrddir}/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d/
%{__mkdir_p} %{buildroot}/%{_xoswebdir}/
%{__cp} -v %{SOURCE10} %{buildroot}%{_initrddir}/%name
%{__cp} -v %{SOURCE20} %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d/10_%name.conf

cp -af * %{buildroot}/%{_xoswebdir}/

%pre
useradd -G tomcat -m xoswebmon -d %{_xoswebdir}
%{__mkdir_p} %{_xoswebdir}/.xos

%post
#volife_run.sh -create-user xoswebmon xos123web456mon XOS WebMon XtreemOS xoswebmon@localhost
#volife_run.sh -approve-user xoswebmon
#volife_run.sh -create-vo XOSWebMonVO XOSWebMon xoswebmon
#volife_run.sh -add-group XOSWebMonVO XOSWebMonGroup
#get-xos-cert core.xlab.si:6730 XOSWebMonVO XOSWebMonGroup -c %{_xoswebdir}/.xos/truststore/certs/user.crt -k %{_xoswebdir}/.xos/truststore/private/user.key

cat > /var/www/xoswebmon/.xos/XATIConfig.conf <<EOF
loadPrivateKey=false
useSSL=false
sslPrivateKeyPassword=12345678
privateKeyLocation=/home/xoswebmon/.xos/truststore/private/user.key
userKeyFile=/home/xoswebmon/.xos/truststore/private/user.key
userCertificateFile=/home/xoswebmon/.xos/truststore/certs/user.crt
certificateLocation=/home/xoswebmon/.xos/truststore/certs/user.crt
trustStoreSSL=/etc/xos/truststore/certs/
schemasLocation=/usr/share/dixi/XMLExtractor/Schemas/
networkInterface=eth0
xosdaddress.port=60000
address.port=10000
xosdaddress.externalAddress=172.16.117.230
xosdaddress.host=172.16.117.230
EOF

%_post_service %name

%preun
%_preun_service %name

%postun
%_postun_userdel %name

%clean
%{__rm} -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL 
%{_xoswebdir}/*
%attr(0660,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/vhosts.d/10_%name.conf
%{_initrddir}/%name


%changelog
